Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.phase
Class PhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.PhaseConfig

Direct Known Subclasses:
  ConstructionHeuristicPhaseConfig, CustomPhaseConfig, ExhaustiveSearchPhaseConfig, LocalSearchPhaseConfig

    public abstract class PhaseConfig

extends Object

Constructor Summary
`PhaseConfig()`

Method Summary
`abstract Phase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`protected void` | `configurePhase(AbstractPhase phase, int phaseIndex, HeuristicConfigPolicy configPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(PhaseConfig inheritedConfig)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhaseConfig

    public PhaseConfig()

Method Detail

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### buildPhase

    public abstract Phase buildPhase(int phaseIndex,
                                     HeuristicConfigPolicy solverConfigPolicy,
                                     BestSolutionRecaller bestSolutionRecaller,
                                     Termination solverTermination)

### configurePhase

    protected void configurePhase(AbstractPhase phase,
                                  int phaseIndex,
                                  HeuristicConfigPolicy configPolicy,
                                  BestSolutionRecaller bestSolutionRecaller,
                                  Termination solverTermination)

### inherit

    public void inherit(PhaseConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.